﻿using System;
using System.Windows.Forms;
using TXTextControl.DocumentServer.Forms;

namespace TXDocumentServer.PDF.Forms
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            openFileDialog1.InitialDirectory = Application.StartupPath;

            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                string sFilename = openFileDialog1.FileName;

                // import the form elements from the selected file
                AcroForm[] listAcroForms = TXTextControl.DocumentServer.Forms.PDF.ImportForms(sFilename);

                string sLine = String.Empty;

                // loop through all elements and get the text and value of text fields
                foreach (AcroForm formElement in listAcroForms)
                { 
                    sLine += "AcroForm element found: " +
                        formElement.GetType().ToString() +
                        ", Name: " + formElement.FieldName;

                    // case to AcroFormTextField in case of text fields
                    if (formElement.GetType() == typeof(AcroFormTextField))
                    {
                        // get the value of the text fields
                        sLine += ", Value: " + ((AcroFormTextField)formElement).Value;
                    }

                    sLine += "\r\n";
                }

                // output the results
                tbOutput.Text += sLine;
            }
        }

    }
}